#include "slownik.h"

void Slownik::Czytaj(istream &i)
{
	  while(!i.eof())
	  {
		  string s = czytaj_slowo(i);
		  if(s.size()>0)  this->drzewo.Dodaj(s);
	  }

}
Slownik::Slownik(const char *nazwa_pliku)
{
  ifstream myfile;
  myfile.open (nazwa_pliku);
  if(myfile.is_open())
  {
	  Czytaj(myfile);
      myfile.close();
  }
  else cout << "Blad - nie moge otworzyc pliku : " << nazwa_pliku << endl;
}

string Slownik::czytaj_slowo(istream &i)
{
	char c;
	string slowo;

	while(i.get(c) && isalpha(c))  slowo +=  (char)tolower(c);
  
	return slowo;
}
